classification
Title: While build python 3.8.2 in linux ctypes.so is using libffi.so.6 instead of libffi.so.7
Type: compile error Stage: resolved
Components: Build Versions: Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: How to link with a non-system libffi?
View: 14527
Assigned To: Nosy List: Ajaya, ned.deily
Priority: normal Keywords:

Created on 2020-05-06 16:23 by Ajaya, last changed 2020-05-08 03:24 by ned.deily. This issue is now closed.

Messages (3)
msg368277 - (view) Author: Ajaya (Ajaya) Date: 2020-05-06 16:23
i am using libffi-3.3.tgz for building python 3.8.2 in Linux. In windows there is no problem it is using libffi-7.dll.In linux it is using libffi.so.6 instead of libffi.so.7.
i am using "./configure --prefix=/u/$loginID/Python$pythonVersion --enable-debug".
msg368390 - (view) Author: Filipe LaĆ­ns (FFY00) * Date: 2020-05-07 23:41
Which error are you getting? libffi is provided by your distribution.
msg368416 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-05-08 03:24
Thanks for the report and for the analysis. There have been a number of reports over the years about problems trying to build and/or execute Pythons with an external copy of libffi. They have become more pressing now that we no longer vendor the source of libffi in Python source releases. To help focus on the issues, we are consolidating the discussion in Issue14527, one of the earliest opened issues.
History
Date User Action Args
2020-05-08 03:24:54ned.deilysetstatus: open -> closed
nosy: + ned.deily, - FFY00
messages: + msg368416
resolution: duplicate

superseder: How to link with a non-system libffi?
stage: resolved
2020-05-07 23:41:44FFY00setnosy: + FFY00
messages: + msg368390
2020-05-06 16:23:03Ajayacreate